aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xfwm4/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 21:19:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 21:19:16 +0000
commitf5be07adb50ea959d93aca928d841a50aae22c9b (patch)
tree3f410a275194126e68ab564f2abbc3917c5fad0b /x11/xfwm4/APKBUILD
parent1c768ea2ad6818ba67f984bc291a5d83f5c8aa3e (diff)
downloadaports-f5be07adb50ea959d93aca928d841a50aae22c9b.tar.gz
aports-f5be07adb50ea959d93aca928d841a50aae22c9b.tar.bz2
aports-f5be07adb50ea959d93aca928d841a50aae22c9b.tar.xz
x11/xfwm4: new aport
Xfce window manager, compatible with Gnome, Gnome2, KDE2, and KDE3
Diffstat (limited to 'x11/xfwm4/APKBUILD')
-rw-r--r--x11/xfwm4/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/x11/xfwm4/APKBUILD b/x11/xfwm4/APKBUILD
new file mode 100644
index 0000000000..5f90698e7d
--- /dev/null
+++ b/x11/xfwm4/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfwm4
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="Xfce window manager, compatible with Gnome, Gnome2, KDE2, and KDE3"
+url="http://www.xfce.org/"
+license="GPL-2"
+depends="hicolor-icon-theme"
+makedepends="pkgconfig libxfcegui4-dev libwnck-dev intltool gettext-dev
+ libiconv-dev libglade-dev expat-dev libsm-dev e2fsprogs"
+install="xfwm4.post-install xfwm4.post-upgrade xfwm4.post-deinstall"
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-compositor \
+ --enable-xsync || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="538ff2554a23bf877d336e573884da9a xfwm4-4.6.1.tar.bz2
+db51db79681eadc47be4932355a77c25 xfwm4.post-install
+db51db79681eadc47be4932355a77c25 xfwm4.post-upgrade
+db51db79681eadc47be4932355a77c25 xfwm4.post-deinstall"